Package twisted :: Package persisted :: Module crefutil :: Class _Defer

[show private | hide private]
[frames | no frames]

## Class _Defer

    Deferred --+
               |
    NotKnown --+
               |
              _Defer

Method Summary
| `__init__(self)`
| ``__del__`(self)` Print tracebacks and die. (inherited from `Deferred`)
| `__hash__(self)` (inherited from `NotKnown`)
| `__repr__(self)` (inherited from `Deferred`)
| `__setitem__(self, n, obj)`
| `__str__(self)` (inherited from `Deferred`)
| ``addBoth`(self, callback, *args, **kw)` Convenience method for adding a single callable as both a callback and an errback. (inherited from `Deferred`)
| ``addCallback`(self, callback, *args, **kw)` Convenience method for adding just a callback. (inherited from `Deferred`)
| ``addCallbacks`(self, callback, errback, callbackArgs, callbackKeywords, errbackArgs, errbackKeywords, asDefaults)` Add a pair of callbacks (success and error) to this Deferred. (inherited from `Deferred`)
| `addDependant(self, dep, key)`
| ``addErrback`(self, errback, *args, **kw)` Convenience method for adding just an errback. (inherited from `Deferred`)
| ``arm`(self)` This method is deprecated. (inherited from `Deferred`)
| ``armAndCallback`(self, result)` Run all success callbacks that have been added to this Deferred. (inherited from `Deferred`)
| ``armAndChain`(self, d)` Chain another Deferred to this Deferred. (inherited from `Deferred`)
| ``armAndErrback`(self, fail)` Run all error callbacks that have been added to this Deferred. (inherited from `Deferred`)
| ``callback`(self, result)` Run all success callbacks that have been added to this Deferred. (inherited from `Deferred`)
| ``chainDeferred`(self, d)` Chain another Deferred to this Deferred. (inherited from `Deferred`)
| ``errback`(self, fail)` Run all error callbacks that have been added to this Deferred. (inherited from `Deferred`)
| ``pause`(self)` Stop processing on a Deferred until `unpause`() is called. (inherited from `Deferred`)
| `resolveDependants(self, newObject)` (inherited from `NotKnown`)
| ``setTimeout`(self, seconds, timeoutFunc)` Set a timeout function to be triggered if I am not called. (inherited from `Deferred`)
| ``unpause`(self)` Process all callbacks made since `pause`() was called. (inherited from `Deferred`)
| `_continue(self, result, isError)` (inherited from `Deferred`)
| `_runCallbacks(self)` (inherited from `Deferred`)
| `_startRunCallbacks(self, result, isError)` (inherited from `Deferred`)

Class Variable Summary
`int` | `wasset`

Class Variable Details

### wasset

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:37 2003 | http://epydoc.sf.net